import { Component, OnInit } from '@angular/core';
import { api } from '@enums/api.enum';
import { IonicModule } from '@ionic/angular';
import { HttpRequestService } from '@services/http-request.service';

@Component({
  selector: 'app-visibility-policy',
  templateUrl: './visibility-policy.page.html',
  styleUrls: ['./visibility-policy.page.scss'],
  standalone: true,
  imports: [IonicModule]
})
export class VisibilityPolicyPage implements OnInit {
  privacypolicy: any;
  constructor(private httpRequestService: HttpRequestService,) { }

  ngOnInit() {
    this.getPolicyContent();
  }

  getPolicyContent() {
    const params = {
      page: 'privacy_policy'
    };
    this.httpRequestService.post(api.getPrivacyValue, params).then((res: any) => {
      if (res.status_code === 200) {
        this.privacypolicy = res.content;
      }
    });
  }

}
